#include "stdafx.h"
#include "gToolTip.h"
#include  "resource.h"
#pragma comment(lib,"comctl32.lib")

BOOL gToolTip::AddTip(HWND hWnd,HINSTANCE hInst,TCHAR *Tip,UINT id , BOOL Balloon, BOOL bSave)
{
	INITCOMMONCONTROLSEX icc;
	HWND hwndTip;
	TOOLINFO		ti;
	icc.dwSize =	sizeof(INITCOMMONCONTROLSEX);
	icc.dwICC =ICC_BAR_CLASSES | ICC_TAB_CLASSES | ICC_WIN95_CLASSES ;

	InitCommonControlsEx(&icc);

	if(Balloon)//If you have choosen the Boolen Toop Tip will set the Windows style according to that
	{
		hwndTip = CreateWindowEx(NULL, TOOLTIPS_CLASS, NULL,
			WS_POPUP | TTS_NOPREFIX | TTS_ALWAYSTIP |TTS_BALLOON,
			CW_USEDEFAULT, CW_USEDEFAULT,
			CW_USEDEFAULT, CW_USEDEFAULT,
			hWnd, NULL, hInst,
			NULL);
	}
	else
	{
		hwndTip = CreateWindowEx(NULL, TOOLTIPS_CLASS, NULL,
			WS_POPUP | TTS_NOPREFIX |TTS_ALWAYSTIP,
			CW_USEDEFAULT, CW_USEDEFAULT,
			CW_USEDEFAULT, CW_USEDEFAULT,
			hWnd, NULL, hInst,
			NULL);
	}

	if(bSave)
		g_hwndTip = hwndTip;

	SendMessage(hwndTip,TTM_ACTIVATE,TRUE,0); //Will Active the Tool Tip Control

	ti.cbSize = sizeof(TOOLINFO);
	ti.uFlags =  TTF_IDISHWND | TTF_SUBCLASS;
	ti.hwnd   = hWnd;							//Handle of the window in which the Contol resides
	ti.uId    =(UINT)GetDlgItem(hWnd,id);       //ID of the Cotrol for which Tool Tip will be Displyed
	ti.hinst  = hInst;
	ti.lpszText  = Tip;							//Tip you want to Display;
	ti.rect.left = ti.rect.top = ti.rect.bottom = ti.rect.right = 0; 

	if(!SendMessage(hwndTip,TTM_ADDTOOL,0,(LPARAM)&ti)){ //Will add the Tool Tip on Control
		MessageBoxW(NULL,L"Couldn't create the ToolTip control.",L"Error",MB_OK);
		return FALSE;
	}

	return TRUE;
}

VOID gToolTip::DelTip(HWND hWnd, UINT id)
{
	if(!g_hwndTip)
		return;

	TOOLINFO		ti;
	ti.cbSize = sizeof(TOOLINFO);
	ti.uFlags =  TTF_IDISHWND;
	ti.hwnd   = hWnd;							//Handle of the window in which the Contol resides
	ti.uId    =(UINT)GetDlgItem(hWnd,id);       //ID of the Cotrol for which Tool Tip will be Displyed

	SendMessage(g_hwndTip,TTM_DELTOOL,0,(LPARAM)&ti);
}

void  gToolTip::PutInTaskBar(HWND hWndDlg,HINSTANCE hInst,HICON hIcon,UINT TimeOut)
{
	NOTIFYICONDATA nfd;
	nfd.cbSize = sizeof(NOTIFYICONDATA);
	nfd.hWnd	=	hWndDlg;
	_tcscpy_s(nfd.szTip,_T("Tip.. "));
	_tcscpy_s(nfd.szInfo, _T("szInfo"));
	_tcscpy_s(nfd. szInfoTitle, _T(" szInfoTitle."));
	nfd.uTimeout = TimeOut*1000;

	//	nfd.uCallbackMessage
	nfd.uFlags =	NIF_ICON | NIF_TIP | NIF_INFO;
	nfd.dwInfoFlags =NIIF_INFO;
	nfd.hIcon  = hIcon;
	if( !Shell_NotifyIcon(NIM_ADD,&nfd))
		MessageBoxW(NULL,L"Error ",L"" ,0);

}